/*
    Program za izraun opsega kvadrata.
    Unosi se duljina stranice, a program rauna i
    na zaslonu ispisuje opseg kvadrata.
*/
// Da bismo mogli unositi podatke s tipkovnice i
// ispisivati ih na zaslonu, moramo ukljuiti
// datoteku zaglavlja stdio.h u kojoj su 
// definirane ulazne i izlazne funkcije.
#include <stdio.h>
// Funkcija je definirana nazivom (main) i vrstom povratne
// vrijednosti (int). Iza naziva funkcije u zagradama se mogu
// navesti argumenti funkcije.
int main()
{
    // Deklariramo 2 varijable za pohranu cijelog broja
    int stranica, opseg;
    // Na zaslon se ispisuje fiksni tekst naveden pod navodnicima
    printf("Unesite duljinu stranice: ");
    // Funkcija scanf oekuje unos jednog cijelog broja to je
    // naznaeno znakom %d. Funkcija prima adresu varijable u
    // koju e se zapisati cijeli broj unesen putem tipkovnice.
    // Adresa je oznaena pomou adresnog operatiora & (ampersand)
    scanf("%d", &stranica);
    // Izraunava se opseg kvadrata
    opseg = stranica * 4;
    // Na zaslon se ispisuje fiksni tekst i cijeli broj koji
    // predstavlja izraunati opseg kvadrata. Izraunata vrijednost
    // e se prikazati na mjestu gdje je pod navodnicima napisana
    // oznaka %d.
    printf("Opseg kvadrata je %d.\n", opseg);
    // Ova naredba slui za to da se prozor po zavretku izvoenja
    // programa ne bi automatski zatvorio.
    system ("pause");
    // Funkcija main vraa cijeli broj. Vraena nula znai da je
    // obrada prola ispravno.
    return 0;
}
